#main-div {
	max-width: 700px;
	margin: auto;
	padding: 25px;
}

#border {
	outline: 2px solid;
}

#buttonholder {
	width: 100%;
	padding-top: 20px;
	display: flex;
	justify-content: center;

	button {
		margin-left: 5px;
		margin-right: 5px;
	}
}

.mat-grid-tile {
	text-align: center;
	font-size: 2em;
	font-weight: bold;
	font-family: monospace;
	outline: 1px solid black ;
}

.selected {
	outline: 4px solid black;
	z-index: 1;
}

.noselect {
	-webkit-touch-callout: none; /* iOS Safari */
	-webkit-user-select: none;   /* Safari */
	-khtml-user-select: none;    /* Konqueror HTML */
	-moz-user-select: none;      /* Old versions of Firefox */
	-ms-user-select: none;       /* Internet Explorer/Edge */
	user-select: none;           /* Chrome, Opera and Firefox */
}

.myst {
	background-color: #F6F6F6;
	&.selected {
		background-color: #E5E5E5;
	}
	&.expanse {
		background-color: #FFE893;
	}
}

.land {
	background-color: #FFD9B6;
	&.selected {
		background-color: #FFC699;
	}
	&.expanse {
		background-color: #FFB868;
	}
	&.impossible {
		background-color: #ff6666;
	}
	&.complete {
		background-color: #9BF99B;
	}
}

.sea {
	color: white;
	background-color: navy;
	
	&.selected {
		background-color: #2626A5;
	}
}

